Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Encodings/PackingSequence/PackingSequencePartiallyMatchedCrossover.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Encodings/PackingSequence/PackingSequencePartiallyMatchedCrossover.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Encodings/PackingSequence/PackingSequencePartiallyMatchedCrossover.cs	(revision 14046)
@@ -25,5 +25,6 @@
 using HeuristicLab.Encodings.PermutationEncoding;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Problems.BinPacking.Interfaces;
+using HeuristicLab.Problems.BinPacking;
+
 
 namespace HeuristicLab.Encodings.PackingEncoding.PackingSequence {
@@ -42,5 +43,5 @@
     }
 
-    public override PackingSequenceEncoding Cross(IRandom random, PackingSequenceEncoding parent1, PackingSequenceEncoding parent2)  {
+    public override PackingSequenceEncoding Cross(IRandom random, PackingSequenceEncoding parent1, PackingSequenceEncoding parent2) {
       PackingSequenceEncoding result = new PackingSequenceEncoding();
       result.PackingSequence = PartiallyMatchedCrossover.Apply(random, parent1.PackingSequence, parent2.PackingSequence);
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Encodings/PackingSequence/PackingSequenceScrambleManipulator.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Encodings/PackingSequence/PackingSequenceScrambleManipulator.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Encodings/PackingSequence/PackingSequenceScrambleManipulator.cs	(revision 14046)
@@ -24,5 +24,5 @@
 using HeuristicLab.Encodings.PermutationEncoding;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Problems.BinPacking.Interfaces;
+using HeuristicLab.Problems.BinPacking;
 
 namespace HeuristicLab.Encodings.PackingEncoding.PackingSequence {
@@ -35,5 +35,5 @@
     public PackingSequenceScrambleManipulator()
       : base() {
-        EncodedSolutionParameter.ActualName = "PackingSequence";
+      EncodedSolutionParameter.ActualName = "PackingSequence";
     }
     public override IDeepCloneable Clone(Cloner cloner) {
@@ -43,5 +43,5 @@
     protected override void Manipulate(IRandom random, PackingSequenceEncoding individual) {
       ScrambleManipulator.Apply(random, individual.PackingSequence);
-    }    
+    }
   }
 }
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Encodings/PackingSolutionCreator.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Encodings/PackingSolutionCreator.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Encodings/PackingSolutionCreator.cs	(revision 14046)
@@ -26,5 +26,5 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Problems.BinPacking.Interfaces;
+using HeuristicLab.Problems.BinPacking;
 
 namespace HeuristicLab.Encodings.PackingEncoding {
@@ -42,5 +42,5 @@
     public PackingSolutionCreator()
       : base() {
-        Parameters.Add(new LookupParameter<IItem>("EncodedPackingSolution", "The new bin packing solution candidate."));
+      Parameters.Add(new LookupParameter<IItem>("EncodedPackingSolution", "The new bin packing solution candidate."));
     }
 
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Encodings/PackingSolutionCrossover.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Encodings/PackingSolutionCrossover.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Encodings/PackingSolutionCrossover.cs	(revision 14046)
@@ -27,5 +27,5 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Problems.BinPacking.Interfaces;
+using HeuristicLab.Problems.BinPacking;
 
 namespace HeuristicLab.Encodings.PackingEncoding {
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Encodings/PackingSolutionManipulator.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Encodings/PackingSolutionManipulator.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Encodings/PackingSolutionManipulator.cs	(revision 14046)
@@ -27,5 +27,5 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Problems.BinPacking.Interfaces;
+using HeuristicLab.Problems.BinPacking;
 
 namespace HeuristicLab.Encodings.PackingEncoding {
@@ -47,5 +47,5 @@
     public PackingSolutionManipulator()
       : base() {
-        Parameters.Add(new LookupParameter<IPackingSolutionEncoding>("EncodedSolution", "The bin packing solution to be manipulated."));
+      Parameters.Add(new LookupParameter<IPackingSolutionEncoding>("EncodedSolution", "The bin packing solution to be manipulated."));
       Parameters.Add(new LookupParameter<IRandom>("Random", "The pseudo random number generator which should be used for stochastic manipulation operators."));
     }
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/BinUtilizationRegularIdenticalBinEvaluator.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/BinUtilizationRegularIdenticalBinEvaluator.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/BinUtilizationRegularIdenticalBinEvaluator.cs	(revision 14046)
@@ -23,11 +23,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Problems.BinPacking.Interfaces;
-using HeuristicLab.Problems.BinPacking.Shapes;
 using HeuristicLab.Data;
 using HeuristicLab.Common;
-using HeuristicLab.Encodings.PackingEncoding.PackingPlan;
+using HeuristicLab.Encodings.PackingEncoding;
 
-namespace HeuristicLab.Problems.BinPacking.Evaluators {
+namespace HeuristicLab.Problems.BinPacking {
   [Item("Bin-Utilization Regular Identical-Bin Evaluator", "<Description missing> Found in Lee:2010")]
   [StorableClass]
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/PackingPlanEvaluationAlgorithm.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/PackingPlanEvaluationAlgorithm.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/PackingPlanEvaluationAlgorithm.cs	(revision 14046)
@@ -21,5 +21,4 @@
 
 using System;
-using HeuristicLab.Problems.BinPacking.Interfaces;
 using HeuristicLab.Operators;
 using HeuristicLab.Core;
@@ -28,7 +27,7 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Problems.BinPacking.Shapes;
 
-namespace HeuristicLab.Problems.BinPacking.Evaluators {
+
+namespace HeuristicLab.Problems.BinPacking {
   [Item("Packingplan Evaluation Algorithm", "Represents a composition of a decoder and an evaluator for bin-packing problems.")]
   [StorableClass]
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/PackingPlanEvaluator.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/PackingPlanEvaluator.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/PackingPlanEvaluator.cs	(revision 14046)
@@ -22,5 +22,4 @@
 
 using HeuristicLab.Core;
-using HeuristicLab.Problems.BinPacking.Interfaces;
 using HeuristicLab.Operators;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
@@ -28,7 +27,7 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Data;
-using HeuristicLab.Problems.BinPacking.Shapes;
 
-namespace HeuristicLab.Problems.BinPacking.Evaluators {
+
+namespace HeuristicLab.Problems.BinPacking {
   [Item("Packingplan Evaluator", "Represents a evaluator class for standard bin-packing problems.")]
   [StorableClass]
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/PackingRatioRegularIdenticalBinEvaluator.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/PackingRatioRegularIdenticalBinEvaluator.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/PackingRatioRegularIdenticalBinEvaluator.cs	(revision 14046)
@@ -23,11 +23,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Problems.BinPacking.Interfaces;
-using HeuristicLab.Problems.BinPacking.Shapes;
 using HeuristicLab.Data;
 using HeuristicLab.Common;
-using HeuristicLab.Encodings.PackingEncoding.PackingPlan;
+using HeuristicLab.Encodings.PackingEncoding;
 
-namespace HeuristicLab.Problems.BinPacking.Evaluators {
+namespace HeuristicLab.Problems.BinPacking {
   [Item("Packing-Ratio Regular Identical-Bin Evaluator", "Represents an evaluation-algorithm for regular-shaped bin-packing problems with identical bins which calculates the ratio between packed and unpacked space. Found in Falkenauer:1996")]
   [StorableClass]
@@ -98,5 +96,5 @@
 
       result = result / nrOfBins;
-      return new DoubleValue (result);
+      return new DoubleValue(result);
     }
   }
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/RegularSimpleRotationIdenticalBinPackingPlanEvaluator.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/RegularSimpleRotationIdenticalBinPackingPlanEvaluator.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/RegularSimpleRotationIdenticalBinPackingPlanEvaluator.cs	(revision 14046)
@@ -21,12 +21,10 @@
 
 using HeuristicLab.Core;
-using HeuristicLab.Problems.BinPacking.Interfaces;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Common;
 using HeuristicLab.Parameters;
-using HeuristicLab.Problems.BinPacking.Shapes;
 using HeuristicLab.Collections;
 
-namespace HeuristicLab.Problems.BinPacking.Evaluators {
+namespace HeuristicLab.Problems.BinPacking {
   [Item("Regular Simple-Rotation Identical-Bin Packingplan Evaluator", "Represents a evaluator class for bin-packing problems using regular shapes and only simple rotations.")]
   [StorableClass]
@@ -47,5 +45,5 @@
     [StorableConstructor]
     protected RegularSimpleRotationIdenticalBinPackingPlanEvaluator(bool deserializing) : base(deserializing) { }
-    protected RegularSimpleRotationIdenticalBinPackingPlanEvaluator(RegularSimpleRotationIdenticalBinPackingPlanEvaluator<D,B,I> original, Cloner cloner)
+    protected RegularSimpleRotationIdenticalBinPackingPlanEvaluator(RegularSimpleRotationIdenticalBinPackingPlanEvaluator<D, B, I> original, Cloner cloner)
       : base(original, cloner) {
     }
@@ -61,6 +59,6 @@
     protected bool HasOverlappingOrNotContainedItems(ObservableDictionary<int, D> positions, B binMeasure, ItemList<I> itemMeasures, int nrOfBins) {
       //TODO: Optimize performance by removing unnecessary allocations..
-      for (int i = 0; i < itemMeasures.Count; i++ ) {
-        I packingItem = itemMeasures [i];
+      for (int i = 0; i < itemMeasures.Count; i++) {
+        I packingItem = itemMeasures[i];
         D currentPosition = positions[i];
         if (!binMeasure.Encloses(currentPosition, packingItem))
@@ -68,5 +66,5 @@
 
         for (int j = 0; j < itemMeasures.Count; j++) {
-            D checkedPosition = positions[j];
+          D checkedPosition = positions[j];
           if (i != j && currentPosition.AssignedBin == checkedPosition.AssignedBin) {
             I checkedItem = itemMeasures[j];
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Instances/BPPData.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Instances/BPPData.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Instances/BPPData.cs	(revision 14046)
@@ -22,5 +22,5 @@
 
 
-namespace HeuristicLab.Problems.Instances {
+namespace HeuristicLab.Problems.BinPacking {
   /// <summary>
   /// Describes instances of the regular two dimensional bin packing problem (2DBPP).
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Instances/BPPInstanceProvider.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Instances/BPPInstanceProvider.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Instances/BPPInstanceProvider.cs	(revision 14046)
@@ -28,7 +28,7 @@
 using System.Reflection;
 using System.Text.RegularExpressions;
-using System.Windows.Forms;
+using HeuristicLab.Problems.Instances;
 
-namespace HeuristicLab.Problems.Instances.BinPacking {
+namespace HeuristicLab.Problems.BinPacking {
   public class BPPORLIBInstanceProvider : ProblemInstanceProvider<BPPData>, IProblemInstanceProvider<BPPData> {
 
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Instances/BPPORLIBDataDescriptor.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Instances/BPPORLIBDataDescriptor.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Instances/BPPORLIBDataDescriptor.cs	(revision 14046)
@@ -21,5 +21,7 @@
 
 
-namespace HeuristicLab.Problems.Instances.BinPacking {
+using HeuristicLab.Problems.Instances;
+
+namespace HeuristicLab.Problems.BinPacking {
   internal class BPPORLIBDataDescriptor : IDataDescriptor {
     public string Name { get; internal set; }
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Instances/BPPORLIBParser.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Instances/BPPORLIBParser.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Instances/BPPORLIBParser.cs	(revision 14046)
@@ -24,5 +24,5 @@
 using System.IO;
 
-namespace HeuristicLab.Problems.Instances.BinPacking {
+namespace HeuristicLab.Problems.BinPacking {
   public class BPPORLIBParser {
     public string Name { get; set; }
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Instances/RealBPPData.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Instances/RealBPPData.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Instances/RealBPPData.cs	(revision 14046)
@@ -22,5 +22,5 @@
 
 
-namespace HeuristicLab.Problems.Instances {
+namespace HeuristicLab.Problems.BinPacking {
   /// <summary>
   /// Describes instances of the regular two dimensional bin packing problem (2DBPP).
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IGroupingVectorMoveOperator.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IGroupingVectorMoveOperator.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IGroupingVectorMoveOperator.cs	(revision 14046)
@@ -22,5 +22,5 @@
 using HeuristicLab.Optimization;
 
-namespace HeuristicLab.Problems.BinPacking.Interfaces {
+namespace HeuristicLab.Problems.BinPacking {
   public interface IGroupingVectorMoveOperator : IGroupingVectorOperator, IMoveOperator {
   }
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IGroupingVectorOperator.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IGroupingVectorOperator.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IGroupingVectorOperator.cs	(revision 14046)
@@ -22,5 +22,5 @@
 using HeuristicLab.Core;
 
-namespace HeuristicLab.Problems.BinPacking.Interfaces {
+namespace HeuristicLab.Problems.BinPacking {
   public interface IGroupingVectorOperator : IOperator {
   }
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IMultiComponentVectorMoveOperator.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IMultiComponentVectorMoveOperator.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IMultiComponentVectorMoveOperator.cs	(revision 14046)
@@ -22,5 +22,5 @@
 using HeuristicLab.Optimization;
 
-namespace HeuristicLab.Problems.BinPacking.Interfaces {
+namespace HeuristicLab.Problems.BinPacking {
   public interface IMultiComponentVectorMoveOperator : IMultiComponentVectorOperator, IMoveOperator {
   }
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IMultiComponentVectorOperator.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IMultiComponentVectorOperator.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IMultiComponentVectorOperator.cs	(revision 14046)
@@ -22,5 +22,5 @@
 using HeuristicLab.Core;
 
-namespace HeuristicLab.Problems.BinPacking.Interfaces {
+namespace HeuristicLab.Problems.BinPacking {
   public interface IMultiComponentVectorOperator : IOperator {
   }
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingDimensions.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingDimensions.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingDimensions.cs	(revision 14046)
@@ -22,5 +22,5 @@
 using HeuristicLab.Core;
 
-namespace HeuristicLab.Problems.BinPacking.Interfaces {
+namespace HeuristicLab.Problems.BinPacking {
   // TODO: this interface should contain positions 
   public interface IPackingDimensions : IItem {
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingItem.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingItem.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingItem.cs	(revision 14046)
@@ -20,5 +20,5 @@
 #endregion
 
-namespace HeuristicLab.Problems.BinPacking.Interfaces {
+namespace HeuristicLab.Problems.BinPacking {
   // a packing item is one of the items that needs to be located in one of the packing bins (containers)
   public interface IPackingItem : IPackingShape {
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingMove.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingMove.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingMove.cs	(revision 14046)
@@ -22,5 +22,5 @@
 using HeuristicLab.Core;
 
-namespace HeuristicLab.Problems.BinPacking.Interfaces  {
+namespace HeuristicLab.Problems.BinPacking  {
   public interface IPackingMove : IItem {
     IPackingSolutionEncoding GetSolutionAfterMove();
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingMoveEvaluator.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingMoveEvaluator.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingMoveEvaluator.cs	(revision 14046)
@@ -22,5 +22,5 @@
 using HeuristicLab.Optimization;
 
-namespace HeuristicLab.Problems.BinPacking.Interfaces  {
+namespace HeuristicLab.Problems.BinPacking  {
   public interface IPackingMoveEvaluator : ISingleObjectiveMoveEvaluator, IMoveOperator, IPackingOperator {
   }
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingOperator.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingOperator.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingOperator.cs	(revision 14046)
@@ -22,5 +22,5 @@
 using HeuristicLab.Core;
 
-namespace HeuristicLab.Problems.BinPacking.Interfaces {
+namespace HeuristicLab.Problems.BinPacking {
   public interface IPackingOperator : IOperator {
   }
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingPlan.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingPlan.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingPlan.cs	(revision 14046)
@@ -22,5 +22,5 @@
 using HeuristicLab.Core;
 
-namespace HeuristicLab.Problems.BinPacking.Interfaces {
+namespace HeuristicLab.Problems.BinPacking {
   // represents a packing solution (either 2d or 3d)
   public interface IPackingPlan : IItem {
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingPlanEvaluationAlgorithm.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingPlanEvaluationAlgorithm.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingPlanEvaluationAlgorithm.cs	(revision 14046)
@@ -23,5 +23,5 @@
 using HeuristicLab.Optimization;
 
-namespace HeuristicLab.Problems.BinPacking.Interfaces {
+namespace HeuristicLab.Problems.BinPacking {
   public interface IPackingPlanEvaluationAlgorithm : ISingleObjectiveEvaluator {
     ILookupParameter<IPackingSolutionDecoder> PackingSolutionDecoderParameter { get; }
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingPlanEvaluator.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingPlanEvaluator.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingPlanEvaluator.cs	(revision 14046)
@@ -23,5 +23,5 @@
 using HeuristicLab.Optimization;
 
-namespace HeuristicLab.Problems.BinPacking.Interfaces {
+namespace HeuristicLab.Problems.BinPacking {
   public interface IPackingPlanEvaluator : ISingleObjectiveEvaluator {
      ILookupParameter<IPackingPlan> PackingPlanParameter { get; }
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingSequenceMoveOperator.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingSequenceMoveOperator.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingSequenceMoveOperator.cs	(revision 14046)
@@ -22,5 +22,5 @@
 using HeuristicLab.Optimization;
 
-namespace HeuristicLab.Problems.BinPacking.Interfaces {
+namespace HeuristicLab.Problems.BinPacking {
   public interface IPackingSequenceMoveOperator : IPackingSequenceOperator, IMoveOperator {
   }
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingSequenceOperator.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingSequenceOperator.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingSequenceOperator.cs	(revision 14046)
@@ -22,5 +22,5 @@
 using HeuristicLab.Core;
 
-namespace HeuristicLab.Problems.BinPacking.Interfaces {
+namespace HeuristicLab.Problems.BinPacking {
   public interface IPackingSequenceOperator : IOperator {
   }
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingShape.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingShape.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingShape.cs	(revision 14046)
@@ -23,5 +23,5 @@
 using HeuristicLab.Core;
 
-namespace HeuristicLab.Problems.BinPacking.Interfaces {
+namespace HeuristicLab.Problems.BinPacking {
   // a packing shape represents a physical object of correct dimension (2d or 3d) 
   // packing bins (containers) and packing items are both packing shapes
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingSolutionCreator.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingSolutionCreator.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingSolutionCreator.cs	(revision 14046)
@@ -23,5 +23,5 @@
 using HeuristicLab.Optimization;
 
-namespace HeuristicLab.Problems.BinPacking.Interfaces {
+namespace HeuristicLab.Problems.BinPacking {
   public interface IPackingSolutionCreator : ISolutionCreator{
     ILookupParameter<IItem> EncodedSolutionParameter { get; }
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingSolutionCrossover.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingSolutionCrossover.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingSolutionCrossover.cs	(revision 14046)
@@ -24,5 +24,5 @@
 using HeuristicLab.Optimization;
 
-namespace HeuristicLab.Problems.BinPacking.Interfaces {
+namespace HeuristicLab.Problems.BinPacking {
   public interface IPackingSolutionCrossover : ICrossover, IPackingOperator {
     ILookupParameter<IPackingSolutionEncoding> ChildParameter { get; }
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingSolutionDecoder.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingSolutionDecoder.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingSolutionDecoder.cs	(revision 14046)
@@ -22,5 +22,5 @@
 using HeuristicLab.Core;
 
-namespace HeuristicLab.Problems.BinPacking.Interfaces {
+namespace HeuristicLab.Problems.BinPacking {
   public interface IPackingSolutionDecoder : IOperator {
   }
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingSolutionEncoding.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingSolutionEncoding.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingSolutionEncoding.cs	(revision 14046)
@@ -22,5 +22,5 @@
 using HeuristicLab.Core;
 
-namespace HeuristicLab.Problems.BinPacking.Interfaces {
+namespace HeuristicLab.Problems.BinPacking {
   public interface IPackingSolutionEncoding : IItem {
   }
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingSolutionManipulator.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingSolutionManipulator.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingSolutionManipulator.cs	(revision 14046)
@@ -23,5 +23,5 @@
 using HeuristicLab.Optimization;
 
-namespace HeuristicLab.Problems.BinPacking.Interfaces {
+namespace HeuristicLab.Problems.BinPacking {
   public interface IPackingSolutionManipulator : IManipulator, IPackingOperator {
     ILookupParameter<IPackingSolutionEncoding> EncodedSolutionParameter { get; }
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/PackingDimensions.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/PackingDimensions.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/PackingDimensions.cs	(revision 14046)
@@ -21,10 +21,9 @@
 
 
-using HeuristicLab.Problems.BinPacking.Interfaces;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Core;
 using HeuristicLab.Common;
 
-namespace HeuristicLab.Problems.BinPacking.Dimensions {
+namespace HeuristicLab.Problems.BinPacking {
   [Item("Packing Dimensions", "Represents an abstract packing-position associated with a packing-problem.")]
   [StorableClass]
Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/PackingMoveEvaluator.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/PackingMoveEvaluator.cs	(revision 14045)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/PackingMoveEvaluator.cs	(revision 14046)
@@ -23,13 +23,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Encodings.PackingEncoding.PackingPlan;
+using HeuristicLab.Encodings.PackingEncoding;
 using HeuristicLab.Operators;
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Problems.BinPacking.Decoders;
-using HeuristicLab.Problems.BinPacking.Evaluators;
-using HeuristicLab.Problems.BinPacking.Interfaces;
-using HeuristicLab.Problems.BinPacking.Shapes;
 
 namespace HeuristicLab.Problems.BinPacking {
